=== modified file 'server/handler.cc'
--- server/handler.cc	2008-07-10 18:25:20 +0000
+++ server/handler.cc	2008-07-10 22:05:55 +0000
@@ -90,9 +90,9 @@
 handlerton *ha_default_handlerton(THD *thd)
 {
   plugin_ref plugin= ha_default_plugin(thd);
-  DBUG_ASSERT(plugin);
+  assert(plugin);
   handlerton *hton= plugin_data(plugin, handlerton*);
-  DBUG_ASSERT(hton);
+  assert(hton);
   return hton;
 }
 
@@ -212,21 +212,19 @@
                          handlerton *db_type)
 {
   handler *file;
-  DBUG_ENTER("get_new_handler");
-  DBUG_PRINT("enter", ("alloc: 0x%lx", (long) alloc));
 
   if (db_type && db_type->state == SHOW_OPTION_YES && db_type->create)
   {
     if ((file= db_type->create(db_type, share, alloc)))
       file->init();
-    DBUG_RETURN(file);
+    return(file);
   }
   /*
     Try the default table type
     Here the call to current_thd() is ok as we call this function a lot of
     times but we enter this branch very seldom.
   */
-  DBUG_RETURN(get_new_handler(share, alloc, ha_default_handlerton(current_thd)));
+  return(get_new_handler(share, alloc, ha_default_handlerton(current_thd)));
 }
 
 
@@ -321,7 +319,6 @@
 int ha_finalize_handlerton(st_plugin_int *plugin)
 {
   handlerton *hton= (handlerton *)plugin->data;
-  DBUG_ENTER("ha_finalize_handlerton");
 
   switch (hton->state)
   {
@@ -337,31 +334,15 @@
   if (hton->panic)
     hton->panic(hton, HA_PANIC_CLOSE);
 
-  if (plugin->plugin->deinit)
-  {
-    /*
-      Today we have no defined/special behavior for uninstalling
-      engine plugins.
-    */
-    DBUG_PRINT("info", ("Deinitializing plugin: '%s'", plugin->name.str));
-    if (plugin->plugin->deinit(NULL))
-    {
-      DBUG_PRINT("warning", ("Plugin '%s' deinit function returned error.",
-                             plugin->name.str));
-    }
-  }
-
   my_free((uchar*)hton, MYF(0));
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
 int ha_initialize_handlerton(st_plugin_int *plugin)
 {
   handlerton *hton;
-  DBUG_ENTER("ha_initialize_handlerton");
-  DBUG_PRINT("plugin", ("initialize plugin: '%s'", plugin->name.str));
 
   hton= (handlerton *)my_malloc(sizeof(handlerton),
                                 MYF(MY_WME | MY_ZEROFILL));
@@ -408,7 +389,7 @@
         if (idx == (int) DB_TYPE_DEFAULT)
         {
           sql_print_warning("Too many storage engines!");
-          DBUG_RETURN(1);
+          return(1);
         }
         if (hton->db_type != DB_TYPE_UNKNOWN)
           sql_print_warning("Storage engine '%s' has conflicting typecode. "
@@ -447,17 +428,16 @@
     break;
   };
 
-  DBUG_RETURN(0);
+  return(0);
 err:
-  DBUG_RETURN(1);
+  return(1);
 }
 
 int ha_init()
 {
   int error= 0;
-  DBUG_ENTER("ha_init");
 
-  DBUG_ASSERT(total_ha < MAX_HA);
+  assert(total_ha < MAX_HA);
   /*
     Check if there is a transaction-capable storage engine besides the
     binary log (which is considered a transaction-capable storage engine in
@@ -465,14 +445,12 @@
   */
   opt_using_transactions= total_ha>(uint32_t)opt_bin_log;
   savepoint_alloc_size+= sizeof(SAVEPOINT);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 int ha_end()
 {
   int error= 0;
-  DBUG_ENTER("ha_end");
-
 
   /* 
     This should be eventualy based  on the graceful shutdown flag.
@@ -482,7 +460,7 @@
   if (ha_finish_errors())
     error= 1;
 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 static my_bool dropdb_handlerton(THD *unused1 __attribute__((__unused__)),
@@ -836,8 +814,6 @@
 {
   THD_TRANS *trans;
   Ha_trx_info *ha_info;
-  DBUG_ENTER("trans_register_ha");
-  DBUG_PRINT("enter",("%s", all ? "all" : "stmt"));
 
   if (all)
   {
@@ -850,7 +826,7 @@
   ha_info= thd->ha_data[ht_arg->slot].ha_info + static_cast<unsigned>(all);
 
   if (ha_info->is_started())
-    DBUG_VOID_RETURN; /* already registered, return */
+    return; /* already registered, return */
 
   ha_info->register_ha(trans, ht_arg);
 
@@ -858,7 +834,7 @@
   if (thd->transaction.xid_state.xid.is_null())
     thd->transaction.xid_state.xid.set(thd->query_id);
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /**
@@ -872,7 +848,6 @@
   int error=0, all=1;
   THD_TRANS *trans=all ? &thd->transaction.all : &thd->transaction.stmt;
   Ha_trx_info *ha_info= trans->ha_list;
-  DBUG_ENTER("ha_prepare");
   if (ha_info)
   {
     for (; ha_info; ha_info= ha_info->next())
@@ -898,7 +873,7 @@
       }
     }
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -932,7 +907,7 @@
     if (! all)
     {
       Ha_trx_info *ha_info_all= &thd->ha_data[ha_info->ht()->slot].ha_info[1];
-      DBUG_ASSERT(ha_info != ha_info_all);
+      assert(ha_info != ha_info_all);
       /*
         Merge read-only/read-write information about statement
         transaction to its enclosing normal transaction. Do this
@@ -982,7 +957,6 @@
   bool is_real_trans= all || thd->transaction.all.ha_list == 0;
   Ha_trx_info *ha_info= trans->ha_list;
   my_xid xid= thd->transaction.xid_state.xid.get_my_xid();
-  DBUG_ENTER("ha_commit_trans");
 
   /*
     We must not commit the normal transaction if a statement
@@ -990,7 +964,7 @@
     flags will not get propagated to its normal transaction's
     counterpart.
   */
-  DBUG_ASSERT(thd->transaction.stmt.ha_list == NULL ||
+  assert(thd->transaction.stmt.ha_list == NULL ||
               trans == &thd->transaction.stmt);
 
   if (thd->in_sub_stmt)
@@ -1002,16 +976,16 @@
       TODO: This should be fixed in later ( >= 5.1) releases.
     */
     if (!all)
-      DBUG_RETURN(0);
+      return(0);
     /*
       We assume that all statements which commit or rollback main transaction
       are prohibited inside of stored functions or triggers. So they should
       bail out with error even before ha_commit_trans() call. To be 100% safe
       let us throw error in non-debug builds.
     */
-    DBUG_ASSERT(0);
+    assert(0);
     my_error(ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG, MYF(0));
-    DBUG_RETURN(2);
+    return(2);
   }
   if (ha_info)
   {
@@ -1020,7 +994,7 @@
     if (is_real_trans && wait_if_global_read_lock(thd, 0, 0))
     {
       ha_rollback_trans(thd, all);
-      DBUG_RETURN(1);
+      return(1);
     }
 
     if (   is_real_trans
@@ -1060,7 +1034,6 @@
         }
         status_var_increment(thd->status_var.ha_prepare_count);
       }
-      DBUG_EXECUTE_IF("crash_commit_after_prepare", abort(););
       if (error || (is_real_trans && xid &&
                     (error= !(cookie= tc_log->log_xid(thd, xid)))))
       {
@@ -1068,18 +1041,15 @@
         error= 1;
         goto end;
       }
-      DBUG_EXECUTE_IF("crash_commit_after_log", abort(););
     }
     error=ha_commit_one_phase(thd, all) ? (cookie ? 2 : 1) : 0;
-    DBUG_EXECUTE_IF("crash_commit_before_unlog", abort(););
     if (cookie)
       tc_log->unlog(cookie, xid);
-    DBUG_EXECUTE_IF("crash_commit_after", abort(););
 end:
     if (is_real_trans)
       start_waiting_global_read_lock(thd);
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -1092,7 +1062,6 @@
   THD_TRANS *trans=all ? &thd->transaction.all : &thd->transaction.stmt;
   bool is_real_trans=all || thd->transaction.all.ha_list == 0;
   Ha_trx_info *ha_info= trans->ha_list, *ha_info_next;
-  DBUG_ENTER("ha_commit_one_phase");
   if (ha_info)
   {
     for (; ha_info; ha_info= ha_info_next)
@@ -1118,7 +1087,7 @@
       thd->transaction.cleanup();
     }
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -1128,13 +1097,12 @@
   THD_TRANS *trans=all ? &thd->transaction.all : &thd->transaction.stmt;
   Ha_trx_info *ha_info= trans->ha_list, *ha_info_next;
   bool is_real_trans=all || thd->transaction.all.ha_list == 0;
-  DBUG_ENTER("ha_rollback_trans");
 
   /*
     We must not rollback the normal transaction if a statement
     transaction is pending.
   */
-  DBUG_ASSERT(thd->transaction.stmt.ha_list == NULL ||
+  assert(thd->transaction.stmt.ha_list == NULL ||
               trans == &thd->transaction.stmt);
 
   if (thd->in_sub_stmt)
@@ -1145,10 +1113,10 @@
       call for more information.
     */
     if (!all)
-      DBUG_RETURN(0);
-    DBUG_ASSERT(0);
+      return(0);
+    assert(0);
     my_error(ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG, MYF(0));
-    DBUG_RETURN(1);
+    return(1);
   }
   if (ha_info)
   {
@@ -1192,7 +1160,7 @@
     push_warning(thd, MYSQL_ERROR::WARN_LEVEL_WARN,
                  ER_WARNING_NOT_COMPLETE_ROLLBACK,
                  ER(ER_WARNING_NOT_COMPLETE_ROLLBACK));
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -1208,7 +1176,6 @@
 */
 int ha_autocommit_or_rollback(THD *thd, int error)
 {
-  DBUG_ENTER("ha_autocommit_or_rollback");
   if (thd->transaction.stmt.ha_list)
   {
     if (!error)
@@ -1225,7 +1192,7 @@
 
     thd->variables.tx_isolation=thd->session_tx_isolation;
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -1273,63 +1240,6 @@
   return xaop.result;
 }
 
-
-#ifndef DBUG_OFF
-/**
-  @note
-    This does not need to be multi-byte safe or anything
-*/
-static char* xid_to_str(char *buf, XID *xid)
-{
-  int i;
-  char *s=buf;
-  *s++='\'';
-  for (i=0; i < xid->gtrid_length+xid->bqual_length; i++)
-  {
-    uchar c=(uchar)xid->data[i];
-    /* is_next_dig is set if next character is a number */
-    bool is_next_dig= false;
-    if (i < XIDDATASIZE)
-    {
-      char ch= xid->data[i+1];
-      is_next_dig= (ch >= '0' && ch <='9');
-    }
-    if (i == xid->gtrid_length)
-    {
-      *s++='\'';
-      if (xid->bqual_length)
-      {
-        *s++='.';
-        *s++='\'';
-      }
-    }
-    if (c < 32 || c > 126)
-    {
-      *s++='\\';
-      /*
-        If next character is a number, write current character with
-        3 octal numbers to ensure that the next number is not seen
-        as part of the octal number
-      */
-      if (c > 077 || is_next_dig)
-        *s++=_dig_vec_lower[c >> 6];
-      if (c > 007 || is_next_dig)
-        *s++=_dig_vec_lower[(c >> 3) & 7];
-      *s++=_dig_vec_lower[c & 7];
-    }
-    else
-    {
-      if (c == '\'' || c == '\\')
-        *s++='\\';
-      *s++=c;
-    }
-  }
-  *s++='\'';
-  *s=0;
-  return buf;
-}
-#endif
-
 /**
   recover() step of xa.
 
@@ -1373,10 +1283,6 @@
         my_xid x=info->list[i].get_my_xid();
         if (!x) // not "mine" - that is generated by external TM
         {
-#ifndef DBUG_OFF
-          char buf[XIDDATASIZE*4+6]; // see xid_to_str
-          sql_print_information("ignore xid %s", xid_to_str(buf, info->list+i));
-#endif
           xid_cache_insert(info->list+i, XA_PREPARED);
           info->found_foreign_xids++;
           continue;
@@ -1391,19 +1297,10 @@
             hash_search(info->commit_list, (uchar *)&x, sizeof(x)) != 0 :
             tc_heuristic_recover == TC_HEURISTIC_RECOVER_COMMIT)
         {
-#ifndef DBUG_OFF
-          char buf[XIDDATASIZE*4+6]; // see xid_to_str
-          sql_print_information("commit xid %s", xid_to_str(buf, info->list+i));
-#endif
           hton->commit_by_xid(hton, info->list+i);
         }
         else
         {
-#ifndef DBUG_OFF
-          char buf[XIDDATASIZE*4+6]; // see xid_to_str
-          sql_print_information("rollback xid %s",
-                                xid_to_str(buf, info->list+i));
-#endif
           hton->rollback_by_xid(hton, info->list+i);
         }
       }
@@ -1417,19 +1314,18 @@
 int ha_recover(HASH *commit_list)
 {
   struct xarecover_st info;
-  DBUG_ENTER("ha_recover");
   info.found_foreign_xids= info.found_my_xids= 0;
   info.commit_list= commit_list;
   info.dry_run= (info.commit_list==0 && tc_heuristic_recover==0);
   info.list= NULL;
 
   /* commit_list and tc_heuristic_recover cannot be set both */
-  DBUG_ASSERT(info.commit_list==0 || tc_heuristic_recover==0);
+  assert(info.commit_list==0 || tc_heuristic_recover==0);
   /* if either is set, total_ha_2pc must be set too */
-  DBUG_ASSERT(info.dry_run || total_ha_2pc>(uint32_t)opt_bin_log);
+  assert(info.dry_run || total_ha_2pc>(uint32_t)opt_bin_log);
 
   if (total_ha_2pc <= (uint32_t)opt_bin_log)
-    DBUG_RETURN(0);
+    return(0);
 
   if (info.commit_list)
     sql_print_information("Starting crash recovery...");
@@ -1442,7 +1338,7 @@
     rollback all pending transactions, without risking inconsistent data
   */
 
-  DBUG_ASSERT(total_ha_2pc == (uint32_t) opt_bin_log+1); // only InnoDB and binlog
+  assert(total_ha_2pc == (uint32_t) opt_bin_log+1); // only InnoDB and binlog
   tc_heuristic_recover= TC_HEURISTIC_RECOVER_ROLLBACK; // forcing ROLLBACK
   info.dry_run=false;
 #endif
@@ -1456,7 +1352,7 @@
   if (!info.list)
   {
     sql_print_error(ER(ER_OUTOFMEMORY), info.len*sizeof(XID));
-    DBUG_RETURN(1);
+    return(1);
   }
 
   plugin_foreach(NULL, xarecover_handlerton, 
@@ -1475,11 +1371,11 @@
                     "--tc-heuristic-recover switch to commit or rollback "
                     "pending transactions.",
                     info.found_my_xids, opt_tc_log_file);
-    DBUG_RETURN(1);
+    return(1);
   }
   if (info.commit_list)
     sql_print_information("Crash recovery finished.");
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /**
@@ -1496,7 +1392,6 @@
   Protocol *protocol= thd->protocol;
   int i=0;
   XID_STATE *xs;
-  DBUG_ENTER("mysql_xa_recover");
 
   field_list.push_back(new Item_int("formatID", 0, MY_INT32_NUM_DECIMAL_DIGITS));
   field_list.push_back(new Item_int("gtrid_length", 0, MY_INT32_NUM_DECIMAL_DIGITS));
@@ -1505,7 +1400,7 @@
 
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    DBUG_RETURN(1);
+    return(1);
 
   pthread_mutex_lock(&LOCK_xid_cache);
   while ((xs= (XID_STATE*)hash_element(&xid_cache, i++)))
@@ -1521,14 +1416,14 @@
       if (protocol->write())
       {
         pthread_mutex_unlock(&LOCK_xid_cache);
-        DBUG_RETURN(1);
+        return(1);
       }
     }
   }
 
   pthread_mutex_unlock(&LOCK_xid_cache);
   my_eof(thd);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /**
@@ -1576,8 +1471,6 @@
                                         &thd->transaction.all);
   Ha_trx_info *ha_info, *ha_info_next;
 
-  DBUG_ENTER("ha_rollback_to_savepoint");
-
   trans->no_2pc=0;
   /*
     rolling back to savepoint in all storage engines that were part of the
@@ -1587,8 +1480,8 @@
   {
     int err;
     handlerton *ht= ha_info->ht();
-    DBUG_ASSERT(ht);
-    DBUG_ASSERT(ht->savepoint_set != 0);
+    assert(ht);
+    assert(ht->savepoint_set != 0);
     if ((err= ht->savepoint_rollback(ht, thd,
                                      (uchar *)(sv+1)+ht->savepoint_offset)))
     { // cannot happen
@@ -1617,7 +1510,7 @@
     ha_info->reset(); /* keep it conveniently zero-filled */
   }
   trans->ha_list= sv->ha_list;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -1632,12 +1525,11 @@
   THD_TRANS *trans= (thd->in_sub_stmt ? &thd->transaction.stmt :
                                         &thd->transaction.all);
   Ha_trx_info *ha_info= trans->ha_list;
-  DBUG_ENTER("ha_savepoint");
   for (; ha_info; ha_info= ha_info->next())
   {
     int err;
     handlerton *ht= ha_info->ht();
-    DBUG_ASSERT(ht);
+    assert(ht);
     if (! ht->savepoint_set)
     {
       my_error(ER_CHECK_NOT_IMPLEMENTED, MYF(0), "SAVEPOINT");
@@ -1656,21 +1548,20 @@
     engines are prepended to the beginning of the list.
   */
   sv->ha_list= trans->ha_list;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 int ha_release_savepoint(THD *thd, SAVEPOINT *sv)
 {
   int error=0;
   Ha_trx_info *ha_info= sv->ha_list;
-  DBUG_ENTER("ha_release_savepoint");
 
   for (; ha_info; ha_info= ha_info->next())
   {
     int err;
     handlerton *ht= ha_info->ht();
     /* Savepoint life time is enclosed into transaction life time. */
-    DBUG_ASSERT(ht);
+    assert(ht);
     if (!ht->savepoint_release)
       continue;
     if ((err= ht->savepoint_release(ht, thd,
@@ -1680,7 +1571,7 @@
       error=1;
     }
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -1805,7 +1696,6 @@
   int error;
   TABLE dummy_table;
   TABLE_SHARE dummy_share;
-  DBUG_ENTER("ha_delete_table");
 
   bzero((char*) &dummy_table, sizeof(dummy_table));
   bzero((char*) &dummy_share, sizeof(dummy_share));
@@ -1814,7 +1704,7 @@
   /* DB_TYPE_UNKNOWN is used in ALTER TABLE when renaming only .frm files */
   if (table_type == NULL ||
       ! (file=get_new_handler((TABLE_SHARE*)0, thd->mem_root, table_type)))
-    DBUG_RETURN(ENOENT);
+    return(ENOENT);
 
   path= check_lowercase_names(file, path, tmp_path);
   if ((error= file->ha_delete_table(path)) && generate_warning)
@@ -1851,7 +1741,7 @@
                 ha_delete_table_error_handler.buff);
   }
   delete file;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /****************************************************************************
@@ -1889,7 +1779,7 @@
 
 THD *handler::ha_thd(void) const
 {
-  DBUG_ASSERT(!table || !table->in_use || table->in_use == current_thd);
+  assert(!table || !table->in_use || table->in_use == current_thd);
   return (table && table->in_use) ? table->in_use : current_thd;
 }
 
@@ -1903,15 +1793,10 @@
                      int test_if_locked)
 {
   int error;
-  DBUG_ENTER("handler::ha_open");
-  DBUG_PRINT("enter",
-             ("name: %s  db_type: %d  db_stat: %d  mode: %d  lock_test: %d",
-              name, ht->db_type, table_arg->db_stat, mode,
-              test_if_locked));
 
   table= table_arg;
-  DBUG_ASSERT(table->s == table_share);
-  DBUG_ASSERT(alloc_root_inited(&table->mem_root));
+  assert(table->s == table_share);
+  assert(alloc_root_inited(&table->mem_root));
 
   if ((error=open(name,mode,test_if_locked)))
   {
@@ -1925,7 +1810,6 @@
   if (error)
   {
     my_errno= error;                            /* Safeguard */
-    DBUG_PRINT("error",("error: %d  errno: %d",error,errno));
   }
   else
   {
@@ -1944,7 +1828,7 @@
       dup_ref=ref+ALIGN_SIZE(ref_length);
     cached_table_flags= table_flags();
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -1957,15 +1841,14 @@
 int handler::rnd_pos_by_record(uchar *record)
 {
   register int error;
-  DBUG_ENTER("handler::rnd_pos_by_record");
 
   position(record);
   if (inited && (error= ha_index_end()))
-    DBUG_RETURN(error);
+    return(error);
   if ((error= ha_rnd_init(false)))
-    DBUG_RETURN(error);
+    return(error);
 
-  DBUG_RETURN(rnd_pos(record, ref));
+  return(rnd_pos(record, ref));
 }
 
 /**
@@ -1977,7 +1860,6 @@
 int handler::read_first_row(uchar * buf, uint primary_key)
 {
   register int error;
-  DBUG_ENTER("handler::read_first_row");
 
   ha_statistic_increment(&SSV::ha_read_first_count);
 
@@ -2000,7 +1882,7 @@
     error=index_first(buf);
     (void) ha_index_end();
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -2064,9 +1946,6 @@
       the offset is larger than the column's max possible value, i.e. not even
       the first sequence value may be inserted. User will receive warning.
     */
-    DBUG_PRINT("info",("auto_increment: nr: %lu cannot honour "
-                       "auto_increment_offset: %lu",
-                       (uint32_t) nr, variables->auto_increment_offset));
     return nr;
   }
   if (variables->auto_increment_increment == 1)
@@ -2158,13 +2037,12 @@
   bool append= false;
   THD *thd= table->in_use;
   struct system_variables *variables= &thd->variables;
-  DBUG_ENTER("handler::update_auto_increment");
 
   /*
     next_insert_id is a "cursor" into the reserved interval, it may go greater
     than the interval, but not smaller.
   */
-  DBUG_ASSERT(next_insert_id >= auto_inc_interval_for_cur_row.minimum());
+  assert(next_insert_id >= auto_inc_interval_for_cur_row.minimum());
 
   if (((nr= table->next_number_field->val_int()) != 0) || 
       (table->auto_increment_field_not_null && (thd->variables.sql_mode & MODE_NO_AUTO_VALUE_ON_ZERO)))
@@ -2177,7 +2055,7 @@
     */
     adjust_next_insert_id_after_explicit_value(nr);
     insert_id_for_cur_row= 0; // didn't generate anything
-    DBUG_RETURN(0);
+    return(0);
   }
 
   if ((nr= next_insert_id) >= auto_inc_interval_for_cur_row.maximum())
@@ -2231,7 +2109,7 @@
                          nb_desired_values, &nr,
                          &nb_reserved_values);
       if (nr == ~(uint64_t) 0)
-        DBUG_RETURN(HA_ERR_AUTOINC_READ_FAILED);  // Mark failure
+        return(HA_ERR_AUTOINC_READ_FAILED);  // Mark failure
       
       /*
         That rounding below should not be needed when all engines actually
@@ -2249,27 +2127,15 @@
       /* We must defer the appending until "nr" has been possibly truncated */
       append= true;
     }
-    else
-    {
-      /*
-        For such auto_increment there is no notion of interval, just a
-        singleton. The interval is not even stored in
-        thd->auto_inc_interval_for_cur_row, so we are sure to call the engine
-        for next row.
-      */
-      DBUG_PRINT("info",("auto_increment: special not-first-in-index"));
-    }
   }
 
-  DBUG_PRINT("info",("auto_increment: %lu", (uint32_t) nr));
-
   if (unlikely(table->next_number_field->store((longlong) nr, true)))
   {
     /*
       first test if the query was aborted due to strict mode constraints
     */
     if (thd->killed == THD::KILL_BAD_DATA)
-      DBUG_RETURN(HA_ERR_AUTOINC_ERANGE);
+      return(HA_ERR_AUTOINC_ERANGE);
 
     /*
       field refused this value (overflow) and truncated it, use the result of
@@ -2308,7 +2174,7 @@
   */
   set_next_insert_id(compute_next_insert_id(nr, variables));
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -2326,10 +2192,7 @@
 */
 void handler::column_bitmaps_signal()
 {
-  DBUG_ENTER("column_bitmaps_signal");
-  DBUG_PRINT("info", ("read_set: 0x%lx  write_set: 0x%lx", (long) table->read_set,
-                      (long) table->write_set));
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2457,9 +2320,6 @@
 */
 void handler::print_error(int error, myf errflag)
 {
-  DBUG_ENTER("handler::print_error");
-  DBUG_PRINT("enter",("error: %d",error));
-
   int textno=ER_GET_ERRNO;
   switch (error) {
   case EACCES:
@@ -2485,7 +2345,7 @@
     if ((int) key_nr >= 0)
     {
       print_keydup_error(key_nr, ER(ER_DUP_ENTRY_WITH_KEY_NAME));
-      DBUG_VOID_RETURN;
+      return;
     }
     textno=ER_DUP_KEY;
     break;
@@ -2510,7 +2370,7 @@
       }
       my_error(ER_FOREIGN_DUPLICATE_KEY, MYF(0), table_share->table_name.str,
         str.c_ptr(), key_nr+1);
-      DBUG_VOID_RETURN;
+      return;
     }
     textno= ER_DUP_KEY;
     break;
@@ -2572,14 +2432,14 @@
     String str;
     get_error_message(error, &str);
     my_error(ER_ROW_IS_REFERENCED_2, MYF(0), str.c_ptr_safe());
-    DBUG_VOID_RETURN;
+    return;
   }
   case HA_ERR_NO_REFERENCED_ROW:
   {
     String str;
     get_error_message(error, &str);
     my_error(ER_NO_REFERENCED_ROW_2, MYF(0), str.c_ptr_safe());
-    DBUG_VOID_RETURN;
+    return;
   }
   case HA_ERR_TABLE_DEF_CHANGED:
     textno=ER_TABLE_DEF_CHANGED;
@@ -2587,7 +2447,7 @@
   case HA_ERR_NO_SUCH_TABLE:
     my_error(ER_NO_SUCH_TABLE, MYF(0), table_share->db.str,
              table_share->table_name.str);
-    DBUG_VOID_RETURN;
+    return;
   case HA_ERR_RBR_LOGGING_FAILED:
     textno= ER_BINLOG_ROW_LOGGING_FAILED;
     break;
@@ -2598,7 +2458,7 @@
     if ((int) key_nr >= 0)
       ptr= table->key_info[key_nr].name;
     my_error(ER_DROP_INDEX_FK, MYF(0), ptr);
-    DBUG_VOID_RETURN;
+    return;
   }
   case HA_ERR_TABLE_NEEDS_UPGRADE:
     textno=ER_TABLE_NEEDS_UPGRADE;
@@ -2615,7 +2475,7 @@
   case HA_ERR_LOCK_OR_ACTIVE_TRANSACTION:
     my_message(ER_LOCK_OR_ACTIVE_TRANSACTION,
                ER(ER_LOCK_OR_ACTIVE_TRANSACTION), MYF(0));
-    DBUG_VOID_RETURN;
+    return;
     break;
   default:
     {
@@ -2634,11 +2494,11 @@
       }
       else
 	my_error(ER_GET_ERRNO,errflag,error);
-      DBUG_VOID_RETURN;
+      return;
     }
   }
   my_error(textno, errflag, table_share->table_name.str, error);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2702,7 +2562,6 @@
   char path[FN_REFLEN];
   File file;
   bool result= true;
-  DBUG_ENTER("update_frm_version");
 
   /*
     No need to update frm version in case table was created or checked
@@ -2711,7 +2570,7 @@
     temporary tables.
   */
   if (table->s->mysql_version == MYSQL_VERSION_ID)
-    DBUG_RETURN(0);
+    return(0);
 
   strxmov(path, table->s->normalized_path.str, reg_ext, NullS);
 
@@ -2739,7 +2598,7 @@
 err:
   if (file >= 0)
     VOID(my_close(file,MYF(MY_WME)));
-  DBUG_RETURN(result);
+  return(result);
 }
 
 
@@ -2750,13 +2609,12 @@
 */
 uint handler::get_dup_key(int error)
 {
-  DBUG_ENTER("handler::get_dup_key");
   table->file->errkey  = (uint) -1;
   if (error == HA_ERR_FOUND_DUPP_KEY || error == HA_ERR_FOREIGN_DUPLICATE_KEY ||
       error == HA_ERR_FOUND_DUPP_UNIQUE ||
       error == HA_ERR_DROP_INDEX_FK)
     info(HA_STATUS_ERRKEY | HA_STATUS_NO_LOCK);
-  DBUG_RETURN(table->file->errkey);
+  return(table->file->errkey);
 }
 
 
@@ -2878,7 +2736,7 @@
   */
   if (ha_info->is_started())
   {
-    DBUG_ASSERT(has_transactions());
+    assert(has_transactions());
     /*
       table_share can be NULL in ha_delete_table(). See implementation
       of standalone function ha_delete_table() in sql_base.cc.
@@ -3147,8 +3005,6 @@
 int ha_enable_transaction(THD *thd, bool on)
 {
   int error=0;
-  DBUG_ENTER("ha_enable_transaction");
-  DBUG_PRINT("enter", ("on: %d", (int) on));
 
   if ((thd->transaction.on= on))
   {
@@ -3161,13 +3017,12 @@
     if (!(error= ha_commit_trans(thd, 0)))
       error= end_trans(thd, COMMIT);
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 int handler::index_next_same(uchar *buf, const uchar *key, uint keylen)
 {
   int error;
-  DBUG_ENTER("index_next_same");
   if (!(error=index_next(buf)))
   {
     my_ptrdiff_t ptrdiff= buf - table->record[0];
@@ -3193,7 +3048,7 @@
       key_part_end= key_part + key_info->key_parts;
       for (; key_part < key_part_end; key_part++)
       {
-        DBUG_ASSERT(key_part->field);
+        assert(key_part->field);
         key_part->field->move_field_offset(ptrdiff);
       }
     }
@@ -3212,7 +3067,7 @@
         key_part->field->move_field_offset(-ptrdiff);
     }
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -3238,7 +3093,6 @@
   char name_buff[FN_REFLEN];
   const char *name;
   TABLE_SHARE share;
-  DBUG_ENTER("ha_create_table");
   
   init_tmp_table_share(thd, &share, db, 0, table_name, path);
   if (open_table_def(thd, &share, 0) ||
@@ -3260,7 +3114,7 @@
   }
 err:
   free_table_share(&share);
-  DBUG_RETURN(error != 0);
+  return(error != 0);
 }
 
 /**
@@ -3285,14 +3139,12 @@
   HA_CREATE_INFO create_info;
   TABLE table;
   TABLE_SHARE share;
-  DBUG_ENTER("ha_create_table_from_engine");
-  DBUG_PRINT("enter", ("name '%s'.'%s'", db, name));
 
   bzero((uchar*) &create_info,sizeof(create_info));
   if ((error= ha_discover(thd, db, name, &frmblob, &frmlen)))
   {
     /* Table could not be discovered and thus not created */
-    DBUG_RETURN(error);
+    return(error);
   }
 
   /*
@@ -3305,17 +3157,17 @@
   error= writefrm(path, frmblob, frmlen);
   my_free(frmblob, MYF(0));
   if (error)
-    DBUG_RETURN(2);
+    return(2);
 
   init_tmp_table_share(thd, &share, db, 0, name, path);
   if (open_table_def(thd, &share, 0))
   {
-    DBUG_RETURN(3);
+    return(3);
   }
   if (open_table_from_share(thd, &share, "" ,0, 0, 0, &table, OTM_OPEN))
   {
     free_table_share(&share);
-    DBUG_RETURN(3);
+    return(3);
   }
 
   update_create_info_from_table(&create_info, &table);
@@ -3325,7 +3177,7 @@
   error=table.file->ha_create(path, &table, &create_info);
   VOID(closefrm(&table, 1));
 
-  DBUG_RETURN(error != 0);
+  return(error != 0);
 }
 
 void st_ha_check_opt::init()
@@ -3351,8 +3203,6 @@
 int ha_init_key_cache(const char *name __attribute__((__unused__)),
                       KEY_CACHE *key_cache)
 {
-  DBUG_ENTER("ha_init_key_cache");
-
   if (!key_cache->key_cache_inited)
   {
     pthread_mutex_lock(&LOCK_global_system_variables);
@@ -3361,12 +3211,12 @@
     uint division_limit= key_cache->param_division_limit;
     uint age_threshold=  key_cache->param_age_threshold;
     pthread_mutex_unlock(&LOCK_global_system_variables);
-    DBUG_RETURN(!init_key_cache(key_cache,
+    return(!init_key_cache(key_cache,
 				tmp_block_size,
 				tmp_buff_size,
 				division_limit, age_threshold));
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3375,8 +3225,6 @@
 */
 int ha_resize_key_cache(KEY_CACHE *key_cache)
 {
-  DBUG_ENTER("ha_resize_key_cache");
-
   if (key_cache->key_cache_inited)
   {
     pthread_mutex_lock(&LOCK_global_system_variables);
@@ -3385,11 +3233,11 @@
     uint division_limit= key_cache->param_division_limit;
     uint age_threshold=  key_cache->param_age_threshold;
     pthread_mutex_unlock(&LOCK_global_system_variables);
-    DBUG_RETURN(!resize_key_cache(key_cache, tmp_block_size,
+    return(!resize_key_cache(key_cache, tmp_block_size,
 				  tmp_buff_size,
 				  division_limit, age_threshold));
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3465,12 +3313,10 @@
 		uchar **frmblob, size_t *frmlen)
 {
   int error= -1; // Table does not exist in any handler
-  DBUG_ENTER("ha_discover");
-  DBUG_PRINT("enter", ("db: %s, name: %s", db, name));
   st_discover_args args= {db, name, frmblob, frmlen};
 
   if (is_prefix(name,tmp_file_prefix)) /* skip temporary tables */
-    DBUG_RETURN(error);
+    return(error);
 
   if (plugin_foreach(thd, discover_handlerton,
                  MYSQL_STORAGE_ENGINE_PLUGIN, &args))
@@ -3478,7 +3324,7 @@
 
   if (!error)
     status_var_increment(thd->status_var.ha_discover_count);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -3532,13 +3378,10 @@
 
 int ha_table_exists_in_engine(THD* thd, const char* db, const char* name)
 {
-  DBUG_ENTER("ha_table_exists_in_engine");
-  DBUG_PRINT("enter", ("db: %s, name: %s", db, name));
   st_table_exists_in_engine_args args= {db, name, HA_ERR_NO_SUCH_TABLE};
   plugin_foreach(thd, table_exists_in_engine_handlerton,
                  MYSQL_STORAGE_ENGINE_PLUGIN, &args);
-  DBUG_PRINT("exit", ("error: %d", args.err));
-  DBUG_RETURN(args.err);
+  return(args.err);
 }
 
 /**
@@ -3765,12 +3608,11 @@
                                uint n_ranges, uint mode,
                                HANDLER_BUFFER *buf __attribute__((__unused__)))
 {
-  DBUG_ENTER("handler::multi_range_read_init");
   mrr_iter= seq_funcs->init(seq_init_param, n_ranges, mode);
   mrr_funcs= *seq_funcs;
   mrr_is_output_sorted= test(mode & HA_MRR_SORTED);
   mrr_have_range= false;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3791,7 +3633,6 @@
 {
   int result= 0;
   int range_res;
-  DBUG_ENTER("handler::multi_range_read_next");
 
   if (!mrr_have_range)
   {
@@ -3838,8 +3679,7 @@
   while ((result == HA_ERR_END_OF_FILE) && !range_res);
 
   *range_info= mrr_cur_range.ptr;
-  DBUG_PRINT("exit",("handler::multi_range_read_next result %d", result));
-  DBUG_RETURN(result);
+  return(result);
 }
 
 
@@ -3873,13 +3713,12 @@
   uint keyno;
   Item *pushed_cond= NULL;
   handler *new_h2;
-  DBUG_ENTER("DsMrr_impl::dsmrr_init");
   keyno= h->active_index;
-  DBUG_ASSERT(h2 == NULL);
+  assert(h2 == NULL);
   if (mode & HA_MRR_USE_DEFAULT_IMPL || mode & HA_MRR_SORTED)
   {
     use_default_impl= true;
-    DBUG_RETURN(h->handler::multi_range_read_init(seq_funcs, seq_init_param,
+    return(h->handler::multi_range_read_init(seq_funcs, seq_init_param,
                                                   n_ranges, mode, buf));
   }
   rowids_buf= buf->buffer;
@@ -3901,7 +3740,7 @@
       new_h2->ha_external_lock(thd, F_RDLCK))
   {
     delete new_h2;
-    DBUG_RETURN(1);
+    return(1);
   }
 
   if (keyno == h->pushed_idx_cond_keyno)
@@ -3937,19 +3776,18 @@
   if (h->ha_rnd_init(false))
     goto error;
   
-  DBUG_RETURN(0);
+  return(0);
 error:
   h2->ha_index_or_rnd_end();
   h2->ha_external_lock(thd, F_UNLCK);
   h2->close();
   delete h2;
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
 void DsMrr_impl::dsmrr_close()
 {
-  DBUG_ENTER("DsMrr_impl::dsmrr_close");
   if (h2)
   {
     h2->ha_external_lock(current_thd, F_UNLCK);
@@ -3958,7 +3796,7 @@
     h2= NULL;
   }
   use_default_impl= true;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3989,7 +3827,6 @@
 {
   char *range_info;
   int res;
-  DBUG_ENTER("DsMrr_impl::dsmrr_fill_buffer");
 
   rowids_buf_cur= rowids_buf;
   while ((rowids_buf_cur < rowids_buf_end) && 
@@ -4008,7 +3845,7 @@
   }
 
   if (res && res != HA_ERR_END_OF_FILE)
-    DBUG_RETURN(res); 
+    return(res); 
   dsmrr_eof= test(res == HA_ERR_END_OF_FILE);
 
   /* Sort the buffer contents by rowid */
@@ -4019,7 +3856,7 @@
             (void*)h);
   rowids_buf_last= rowids_buf_cur;
   rowids_buf_cur=  rowids_buf;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -4081,20 +3918,15 @@
   /* Get cost/flags/mem_usage of default MRR implementation */
   res= h->handler::multi_range_read_info(keyno, n_ranges, rows, &def_bufsz,
                                          &def_flags, cost);
-  DBUG_ASSERT(!res);
+  assert(!res);
 
   if ((*flags & HA_MRR_USE_DEFAULT_IMPL) || 
       choose_mrr_impl(keyno, rows, &def_flags, &def_bufsz, cost))
   {
     /* Default implementation is choosen */
-    DBUG_PRINT("info", ("Default MRR implementation choosen"));
     *flags= def_flags;
     *bufsz= def_bufsz;
   }
-  else
-  {
-    DBUG_PRINT("info", ("DS-MRR implementation choosen"));
-  }
   return 0;
 }
 
@@ -4128,14 +3960,12 @@
   if ((*flags & HA_MRR_USE_DEFAULT_IMPL) ||
       choose_mrr_impl(keyno, rows, flags, bufsz, cost))
   {
-    DBUG_PRINT("info", ("Default MRR implementation choosen"));
     *flags= def_flags;
     *bufsz= def_bufsz;
   }
   else
   {
     *flags &= ~HA_MRR_USE_DEFAULT_IMPL;
-    DBUG_PRINT("info", ("DS-MRR implementation choosen"));
   }
   return rows;
 }
@@ -4395,8 +4225,6 @@
 void get_sweep_read_cost(TABLE *table, ha_rows nrows, bool interrupted, 
                          COST_VECT *cost)
 {
-  DBUG_ENTER("get_sweep_read_cost");
-
   cost->zero();
   if (table->file->primary_key_is_clustered())
   {
@@ -4412,8 +4240,6 @@
     if (busy_blocks < 1.0)
       busy_blocks= 1.0;
 
-    DBUG_PRINT("info",("sweep: nblocks=%g, busy_blocks=%g", n_blocks,
-                       busy_blocks));
     cost->io_count= busy_blocks;
 
     if (!interrupted)
@@ -4423,8 +4249,7 @@
                           DISK_SEEK_PROP_COST*n_blocks/busy_blocks);
     }
   }
-  DBUG_PRINT("info",("returning cost=%g", cost->total_cost()));
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -4456,7 +4281,6 @@
                               bool sorted  __attribute__((__unused__)))
 {
   int result;
-  DBUG_ENTER("handler::read_range_first");
 
   eq_range= eq_range_arg;
   end_range= 0;
@@ -4477,11 +4301,11 @@
                            start_key->keypart_map,
                            start_key->flag);
   if (result)
-    DBUG_RETURN((result == HA_ERR_KEY_NOT_FOUND) 
+    return((result == HA_ERR_KEY_NOT_FOUND) 
 		? HA_ERR_END_OF_FILE
 		: result);
 
-  DBUG_RETURN (compare_key(end_range) <= 0 ? 0 : HA_ERR_END_OF_FILE);
+  return (compare_key(end_range) <= 0 ? 0 : HA_ERR_END_OF_FILE);
 }
 
 
@@ -4501,19 +4325,18 @@
 int handler::read_range_next()
 {
   int result;
-  DBUG_ENTER("handler::read_range_next");
 
   if (eq_range)
   {
     /* We trust that index_next_same always gives a row in range */
-    DBUG_RETURN(index_next_same(table->record[0],
+    return(index_next_same(table->record[0],
                                 end_range->key,
                                 end_range->length));
   }
   result= index_next(table->record[0]);
   if (result)
-    DBUG_RETURN(result);
-  DBUG_RETURN(compare_key(end_range) <= 0 ? 0 : HA_ERR_END_OF_FILE);
+    return(result);
+  return(compare_key(end_range) <= 0 ? 0 : HA_ERR_END_OF_FILE);
 }
 
 
@@ -4631,7 +4454,7 @@
                                        (found_exts.elements+1),
                                        MYF(MY_WME | MY_FAE));
 
-    DBUG_ASSERT(ext != 0);
+    assert(ext != 0);
     known_extensions.count= found_exts.elements;
     known_extensions.type_names= ext;
 
@@ -4702,7 +4525,7 @@
     table->s->cached_row_logging_check= check;
   }
 
-  DBUG_ASSERT(table->s->cached_row_logging_check == 0 ||
+  assert(table->s->cached_row_logging_check == 0 ||
               table->s->cached_row_logging_check == 1);
 
   return (thd->current_stmt_binlog_row_based &&
@@ -4733,12 +4556,6 @@
 
 static int write_locked_table_maps(THD *thd)
 {
-  DBUG_ENTER("write_locked_table_maps");
-  DBUG_PRINT("enter", ("thd: 0x%lx  thd->lock: 0x%lx  thd->locked_tables: 0x%lx  "
-                       "thd->extra_lock: 0x%lx",
-                       (long) thd, (long) thd->lock,
-                       (long) thd->locked_tables, (long) thd->extra_lock));
-
   if (thd->get_binlog_table_maps() == 0)
   {
     MYSQL_LOCK *locks[3];
@@ -4757,7 +4574,6 @@
            ++table_ptr)
       {
         TABLE *const table= *table_ptr;
-        DBUG_PRINT("info", ("Checking table %s", table->s->table_name.str));
         if (table->current_lock == F_WRLCK &&
             check_table_binlog_row_based(thd, table))
         {
@@ -4768,12 +4584,12 @@
             roll back the transaction.
           */
           if (unlikely(error))
-            DBUG_RETURN(1);
+            return(1);
         }
       }
     }
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -4791,8 +4607,6 @@
 
   if (check_table_binlog_row_based(thd, table))
   {
-    DBUG_DUMP("read_set 10", (uchar*) table->read_set->bitmap,
-              (table->s->fields + 7) / 8);
     /*
       If there are no table maps written to the binary log, this is
       the first row handled in this statement. In that case, we need
@@ -4809,13 +4623,12 @@
 
 int handler::ha_external_lock(THD *thd, int lock_type)
 {
-  DBUG_ENTER("handler::ha_external_lock");
   /*
     Whether this is lock or unlock, this should be true, and is to verify that
     if get_auto_increment() was called (thus may have reserved intervals or
     taken a table lock), ha_release_auto_increment() was too.
   */
-  DBUG_ASSERT(next_insert_id == 0);
+  assert(next_insert_id == 0);
 
   /*
     We cache the table flags if the locking succeeded. Otherwise, we
@@ -4826,7 +4639,7 @@
   int error= external_lock(thd, lock_type);
   if (error == 0)
     cached_table_flags= table_flags();
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -4835,20 +4648,19 @@
 */
 int handler::ha_reset()
 {
-  DBUG_ENTER("ha_reset");
   /* Check that we have called all proper deallocation functions */
-  DBUG_ASSERT((uchar*) table->def_read_set.bitmap +
+  assert((uchar*) table->def_read_set.bitmap +
               table->s->column_bitmap_size ==
               (uchar*) table->def_write_set.bitmap);
-  DBUG_ASSERT(bitmap_is_set_all(&table->s->all_set));
-  DBUG_ASSERT(table->key_read == 0);
+  assert(bitmap_is_set_all(&table->s->all_set));
+  assert(table->key_read == 0);
   /* ensure that ha_index_end / ha_rnd_end has been called */
-  DBUG_ASSERT(inited == NONE);
+  assert(inited == NONE);
   /* Free cache used by filesort */
   free_io_cache(table);
   /* reset the bitmaps to point to defaults */
   table->default_column_bitmaps();
-  DBUG_RETURN(reset());
+  return(reset());
 }
 
 
@@ -4856,17 +4668,16 @@
 {
   int error;
   Log_func *log_func= Write_rows_log_event::binlog_row_logging_function;
-  DBUG_ENTER("handler::ha_write_row");
   MYSQL_INSERT_ROW_START();
 
   mark_trx_read_write();
 
   if (unlikely(error= write_row(buf)))
-    DBUG_RETURN(error);
+    return(error);
   if (unlikely(error= binlog_log_row(table, 0, buf, log_func)))
-    DBUG_RETURN(error); /* purecov: inspected */
+    return(error); /* purecov: inspected */
   MYSQL_INSERT_ROW_END();
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -4879,7 +4690,7 @@
     Some storage engines require that the new record is in record[0]
     (and the old record is in record[1]).
    */
-  DBUG_ASSERT(new_data == table->record[0]);
+  assert(new_data == table->record[0]);
 
   mark_trx_read_write();
 

=== modified file 'server/handler.h'
--- server/handler.h	2008-07-09 07:05:02 +0000
+++ server/handler.h	2008-07-10 22:05:55 +0000
@@ -605,9 +605,9 @@
     * stmt.modified_non_trans_table is used to keep track of
     modified non-transactional tables of top-level statements. At
     the end of the previous statement and at the beginning of the session,
-    it is reset to FALSE.  If such functions
+    it is reset to false.  If such functions
     as mysql_insert, mysql_update, mysql_delete etc modify a
-    non-transactional table, they set this flag to TRUE.  At the
+    non-transactional table, they set this flag to true.  At the
     end of the statement, the value of stmt.modified_non_trans_table 
     is merged with all.modified_non_trans_table and gets reset.
     * all.modified_non_trans_table is reset at the end of transaction
@@ -618,13 +618,13 @@
     At entrance into a sub-statement, a copy of the value of
     stmt.modified_non_trans_table (containing the changes of the
     outer statement) is saved on stack. Then 
-    stmt.modified_non_trans_table is reset to FALSE and the
+    stmt.modified_non_trans_table is reset to false and the
     substatement is executed. Then the new value is merged with the
     saved value.
   */
   bool modified_non_trans_table;
 
-  void reset() { no_2pc= FALSE; modified_non_trans_table= FALSE; }
+  void reset() { no_2pc= false; modified_non_trans_table= false; }
 };
 
 
@@ -651,9 +651,9 @@
   /** Register this storage engine in the given transaction context. */
   void register_ha(THD_TRANS *trans, handlerton *ht_arg)
   {
-    DBUG_ASSERT(m_flags == 0);
-    DBUG_ASSERT(m_ht == NULL);
-    DBUG_ASSERT(m_next == NULL);
+    assert(m_flags == 0);
+    assert(m_ht == NULL);
+    assert(m_next == NULL);
 
     m_ht= ht_arg;
     m_flags= (int) TRX_READ_ONLY; /* Assume read-only at start. */
@@ -674,12 +674,12 @@
 
   void set_trx_read_write()
   {
-    DBUG_ASSERT(is_started());
+    assert(is_started());
     m_flags|= (int) TRX_READ_WRITE;
   }
   bool is_trx_read_write() const
   {
-    DBUG_ASSERT(is_started());
+    assert(is_started());
     return m_flags & (int) TRX_READ_WRITE;
   }
   bool is_started() const { return m_ht != NULL; }
@@ -691,18 +691,18 @@
       Can be called many times, e.g. when we have many
       read-write statements in a transaction.
     */
-    DBUG_ASSERT(is_started());
+    assert(is_started());
     if (stmt_trx->is_trx_read_write())
       set_trx_read_write();
   }
   Ha_trx_info *next() const
   {
-    DBUG_ASSERT(is_started());
+    assert(is_started());
     return m_next;
   }
   handlerton *ht() const
   {
-    DBUG_ASSERT(is_started());
+    assert(is_started());
     return m_ht;
   }
 private:
@@ -1141,10 +1141,10 @@
   RANGE_SEQ_IF mrr_funcs;  /* Range sequence traversal functions */
   HANDLER_BUFFER *multi_range_buffer; /* MRR buffer info */
   uint ranges_in_seq; /* Total number of ranges in the traversed sequence */
-  /* TRUE <=> source MRR ranges and the output are ordered */
+  /* true <=> source MRR ranges and the output are ordered */
   bool mrr_is_output_sorted;
 
-  /** TRUE <=> we're currently traversing a range in mrr_cur_range. */
+  /** true <=> we're currently traversing a range in mrr_cur_range. */
   bool mrr_have_range;
   /** Current range (the one we're now returning rows from) */
   KEY_MULTI_RANGE mrr_cur_range;
@@ -1155,7 +1155,7 @@
   int key_compare_result_on_equal;
   bool eq_range;
   /* 
-    TRUE <=> the engine guarantees that returned records are within the range
+    true <=> the engine guarantees that returned records are within the range
     being scanned.
   */
   bool in_range_check_pushed_down;
@@ -1200,18 +1200,18 @@
   handler(handlerton *ht_arg, TABLE_SHARE *share_arg)
     :table_share(share_arg), table(0),
     estimation_rows_to_insert(0), ht(ht_arg),
-    ref(0), in_range_check_pushed_down(FALSE),
+    ref(0), in_range_check_pushed_down(false),
     key_used_on_scan(MAX_KEY), active_index(MAX_KEY),
     ref_length(sizeof(my_off_t)),
     ft_handler(0), inited(NONE),
-    locked(FALSE), implicit_emptied(0),
+    locked(false), implicit_emptied(0),
     pushed_cond(0), pushed_idx_cond(NULL), pushed_idx_cond_keyno(MAX_KEY),
     next_insert_id(0), insert_id_for_cur_row(0)
     {}
   virtual ~handler(void)
   {
-    DBUG_ASSERT(locked == FALSE);
-    /* TODO: DBUG_ASSERT(inited == NONE); */
+    assert(locked == false);
+    /* TODO: assert(inited == NONE); */
   }
   virtual handler *clone(MEM_ROOT *mem_root);
   /** This is called after create to allow us to set up cached variables */
@@ -1225,35 +1225,31 @@
   int ha_index_init(uint idx, bool sorted)
   {
     int result;
-    DBUG_ENTER("ha_index_init");
-    DBUG_ASSERT(inited==NONE);
+    assert(inited==NONE);
     if (!(result= index_init(idx, sorted)))
       inited=INDEX;
     end_range= NULL;
-    DBUG_RETURN(result);
+    return(result);
   }
   int ha_index_end()
   {
-    DBUG_ENTER("ha_index_end");
-    DBUG_ASSERT(inited==INDEX);
+    assert(inited==INDEX);
     inited=NONE;
     end_range= NULL;
-    DBUG_RETURN(index_end());
+    return(index_end());
   }
   int ha_rnd_init(bool scan)
   {
     int result;
-    DBUG_ENTER("ha_rnd_init");
-    DBUG_ASSERT(inited==NONE || (inited==RND && scan));
+    assert(inited==NONE || (inited==RND && scan));
     inited= (result= rnd_init(scan)) ? NONE: RND;
-    DBUG_RETURN(result);
+    return(result);
   }
   int ha_rnd_end()
   {
-    DBUG_ENTER("ha_rnd_end");
-    DBUG_ASSERT(inited==RND);
+    assert(inited==RND);
     inited=NONE;
-    DBUG_RETURN(rnd_end());
+    return(rnd_end());
   }
   int ha_reset();
   /* this is necessary in many places, e.g. in HANDLER command */
@@ -1361,8 +1357,8 @@
         ((flags & HA_CHECK_DUP_KEY) &&
          (error == HA_ERR_FOUND_DUPP_KEY ||
           error == HA_ERR_FOUND_DUPP_UNIQUE)))
-      return FALSE;
-    return TRUE;
+      return false;
+    return true;
   }
 
   /**
@@ -1386,7 +1382,7 @@
   virtual enum row_type get_row_type() const { return ROW_TYPE_NOT_USED; }
 
   virtual const char *index_type(uint key_number __attribute__((__unused__)))
-  { DBUG_ASSERT(0); return "";}
+  { assert(0); return "";}
 
 
   /**
@@ -1423,7 +1419,7 @@
   */
   virtual int exec_bulk_update(uint *dup_key_found __attribute__((__unused__)))
   {
-    DBUG_ASSERT(FALSE);
+    assert(false);
     return HA_ERR_WRONG_COMMAND;
   }
   /**
@@ -1439,7 +1435,7 @@
   */
   virtual int end_bulk_delete()
   {
-    DBUG_ASSERT(FALSE);
+    assert(false);
     return HA_ERR_WRONG_COMMAND;
   }
   /**
@@ -1527,7 +1523,7 @@
   virtual void position(const uchar *record)=0;
   virtual int info(uint)=0; // see my_base.h for full description
   virtual uint32 calculate_key_hash_value(Field **field_array __attribute__((__unused__)))
-  { DBUG_ASSERT(0); return 0; }
+  { assert(0); return 0; }
   virtual int extra(enum ha_extra_function operation __attribute__((__unused__)))
   { return 0; }
   virtual int extra_opt(enum ha_extra_function operation,
@@ -1564,7 +1560,6 @@
                                   uint64_t *nb_reserved_values);
   void set_next_insert_id(uint64_t id)
   {
-    DBUG_PRINT("info",("auto_increment: next value %lu", (uint32_t)id));
     next_insert_id= id;
   }
   void restore_auto_increment(uint64_t prev_insert_id)
@@ -1602,11 +1597,11 @@
 
     @param  index            Index to check if foreign key uses it
 
-    @retval   TRUE            Foreign key defined on table or index
-    @retval   FALSE           No foreign key defined
+    @retval   true            Foreign key defined on table or index
+    @retval   false           No foreign key defined
   */
   virtual bool is_fk_defined_on_table_or_index(uint index __attribute__((__unused__)))
-  { return FALSE; }
+  { return false; }
   virtual char* get_foreign_key_create_info(void)
   { return(NULL);}  /* gets foreign key create string from InnoDB */
   /** used in ALTER TABLE; 1 if changing storage engine is allowed */
@@ -1731,13 +1726,13 @@
 
     @note If engine_data supplied with this function is different from
       engine_data supplied with the callback function, and the callback returns
-      FALSE, a table invalidation on the current table will occur.
+      false, a table invalidation on the current table will occur.
 
     @return Upon success the engine_callback will point to the storage engine
       call back function, if any, and engine_data will point to any storage
       engine data used in the specific implementation.
-      @retval TRUE Success
-      @retval FALSE The specified table or current statement should not be
+      @retval true Success
+      @retval false The specified table or current statement should not be
         cached
   */
 
@@ -1749,16 +1744,16 @@
                                uint64_t *engine_data __attribute__((__unused__)))
   {
     *engine_callback= 0;
-    return TRUE;
+    return true;
   }
 
 
  /*
-   @retval TRUE   Primary key (if there is one) is clustered
+   @retval true   Primary key (if there is one) is clustered
                   key covering all fields
-   @retval FALSE  otherwise
+   @retval false  otherwise
  */
- virtual bool primary_key_is_clustered() { return FALSE; }
+ virtual bool primary_key_is_clustered() { return false; }
  virtual int cmp_ref(const uchar *ref1, const uchar *ref2)
  {
    return memcmp(ref1, ref2, ref_length);
@@ -1843,12 +1838,11 @@
                             HA_ALTER_FLAGS *alter_flags __attribute__((__unused__)),
                             uint table_changes)
  {
-   DBUG_ENTER("check_if_supported_alter");
    if (this->check_if_incompatible_data(create_info, table_changes)
        == COMPATIBLE_DATA_NO)
-     DBUG_RETURN(HA_ALTER_NOT_SUPPORTED);
+     return(HA_ALTER_NOT_SUPPORTED);
    else
-     DBUG_RETURN(HA_ALTER_SUPPORTED_WAIT_LOCK);
+     return(HA_ALTER_SUPPORTED_WAIT_LOCK);
  }
  /**
    Tell storage engine to prepare for the on-line alter table (pre-alter)
@@ -2087,7 +2081,7 @@
                               uchar *new_data __attribute__((__unused__)),
                               uint *dup_key_found __attribute__((__unused__)))
   {
-    DBUG_ASSERT(FALSE);
+    assert(false);
     return HA_ERR_WRONG_COMMAND;
   }
   /**
@@ -2113,7 +2107,7 @@
                       HA_CHECK_OPT* check_opt __attribute__((__unused__)))
   { return HA_ADMIN_NOT_IMPLEMENTED; }
   virtual bool check_and_repair(THD *thd __attribute__((__unused__)))
-  { return TRUE; }
+  { return true; }
   virtual int disable_indexes(uint mode __attribute__((__unused__)))
   { return HA_ERR_WRONG_COMMAND; }
   virtual int enable_indexes(uint mode __attribute__((__unused__)))
@@ -2130,7 +2124,7 @@
                                    const char *old_name __attribute__((__unused__)),
                                    int action_flag __attribute__((__unused__)),
                                    HA_CREATE_INFO *info __attribute__((__unused__)))
-  { return FALSE; }
+  { return false; }
 };
 
 
@@ -2168,12 +2162,12 @@
   uchar *rowids_buf_last;  /* When reading: end of used buffer space */
   uchar *rowids_buf_end;   /* End of the buffer */
 
-  bool dsmrr_eof; /* TRUE <=> We have reached EOF when reading index tuples */
+  bool dsmrr_eof; /* true <=> We have reached EOF when reading index tuples */
 
-  /* TRUE <=> need range association, buffer holds {rowid, range_id} pairs */
+  /* true <=> need range association, buffer holds {rowid, range_id} pairs */
   bool is_mrr_assoc;
 
-  bool use_default_impl; /* TRUE <=> shortcut all calls to default MRR impl */
+  bool use_default_impl; /* true <=> shortcut all calls to default MRR impl */
 public:
   void init(handler *h_arg, TABLE *table_arg)
   {
@@ -2209,8 +2203,8 @@
 extern uint32_t total_ha, total_ha_2pc;
 
        /* Wrapper functions */
-#define ha_commit(thd) (ha_commit_trans((thd), TRUE))
-#define ha_rollback(thd) (ha_rollback_trans((thd), TRUE))
+#define ha_commit(thd) (ha_commit_trans((thd), true))
+#define ha_rollback(thd) (ha_rollback_trans((thd), true))
 
 /* lookups */
 handlerton *ha_default_handlerton(THD *thd);
@@ -2235,13 +2229,13 @@
 
 static inline bool ha_check_storage_engine_flag(const handlerton *db_type, uint32 flag)
 {
-  return db_type == NULL ? FALSE : test(db_type->flags & flag);
+  return db_type == NULL ? false : test(db_type->flags & flag);
 }
 
 static inline bool ha_storage_engine_is_enabled(const handlerton *db_type)
 {
   return (db_type && db_type->create) ?
-         (db_type->state == SHOW_OPTION_YES) : FALSE;
+         (db_type->state == SHOW_OPTION_YES) : false;
 }
 
 /* basic stuff */

=== modified file 'server/item_cmpfunc.cc'
--- server/item_cmpfunc.cc	2008-07-08 16:17:31 +0000
+++ server/item_cmpfunc.cc	2008-07-10 22:05:55 +0000
@@ -204,7 +204,7 @@
   uint i;
   uint found_types;
   Item_result left_result= items[0]->result_type();
-  DBUG_ASSERT(nitems > 1);
+  assert(nitems > 1);
   found_types= 0;
   for (i= 1; i < nitems ; i++)
   {
@@ -271,7 +271,7 @@
 
 longlong Item_func_not::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   bool value= args[0]->val_bool();
   null_value=args[0]->null_value;
   return ((!null_value && value == 0) ? 1 : 0);
@@ -300,7 +300,7 @@
 
 longlong Item_func_not_all::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   bool value= args[0]->val_bool();
 
   /*
@@ -341,7 +341,7 @@
 
 longlong Item_func_nop_all::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   longlong value= args[0]->val_int();
 
   /*
@@ -427,7 +427,7 @@
     {
       result= field->store(orig_field_val, true);
       /* orig_field_val must be a valid value that can be restored back. */
-      DBUG_ASSERT(!result);
+      assert(!result);
     }
     thd->variables.sql_mode= orig_sql_mode;
     thd->count_cuted_fields= orig_count_cuted_fields;
@@ -619,7 +619,7 @@
     break;
   }
   default:
-    DBUG_ASSERT(0);
+    assert(0);
   }
   return 0;
 }
@@ -1500,7 +1500,7 @@
 
 bool Item_in_optimizer::fix_fields(THD *thd, Item **ref)
 {
-  DBUG_ASSERT(fixed == 0);
+  assert(fixed == 0);
   if (fix_left(thd, ref))
     return true;
   if (args[0]->maybe_null)
@@ -1528,7 +1528,7 @@
 longlong Item_in_optimizer::val_int()
 {
   bool tmp;
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   cache->store(args[0]);
   
   if (cache->null_value)
@@ -1606,11 +1606,10 @@
 
 void Item_in_optimizer::cleanup()
 {
-  DBUG_ENTER("Item_in_optimizer::cleanup");
   Item_bool_func::cleanup();
   if (!save_cache)
     cache= 0;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1647,7 +1646,7 @@
 {
   Item *new_item;
 
-  DBUG_ASSERT(arg_count == 2);
+  assert(arg_count == 2);
 
   /* Transform the left IN operand. */
   new_item= (*args)->transform(transformer, argument);
@@ -1669,7 +1668,7 @@
     transformation, we only make both operands the same.
     TODO: is it the way it should be?
   */
-  DBUG_ASSERT((args[1])->type() == Item::SUBSELECT_ITEM &&
+  assert((args[1])->type() == Item::SUBSELECT_ITEM &&
               (((Item_subselect*)(args[1]))->substype() ==
                Item_subselect::IN_SUBS ||
                ((Item_subselect*)(args[1]))->substype() ==
@@ -1687,7 +1686,7 @@
 
 longlong Item_func_eq::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   int value= cmp.compare();
   return value == 0 ? 1 : 0;
 }
@@ -1703,13 +1702,13 @@
 
 longlong Item_func_equal::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   return cmp.compare();
 }
 
 longlong Item_func_ne::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   int value= cmp.compare();
   return value != 0 && !null_value ? 1 : 0;
 }
@@ -1717,7 +1716,7 @@
 
 longlong Item_func_ge::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   int value= cmp.compare();
   return value >= 0 ? 1 : 0;
 }
@@ -1725,14 +1724,14 @@
 
 longlong Item_func_gt::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   int value= cmp.compare();
   return value > 0 ? 1 : 0;
 }
 
 longlong Item_func_le::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   int value= cmp.compare();
   return value <= 0 && !null_value ? 1 : 0;
 }
@@ -1740,7 +1739,7 @@
 
 longlong Item_func_lt::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   int value= cmp.compare();
   return value < 0 && !null_value ? 1 : 0;
 }
@@ -1748,7 +1747,7 @@
 
 longlong Item_func_strcmp::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   String *a=args[0]->val_str(&tmp_value1);
   String *b=args[1]->val_str(&tmp_value2);
   if (!a || !b)
@@ -1863,7 +1862,7 @@
 
 longlong Item_func_interval::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   double value;
   my_decimal dec_buf, *dec= NULL;
   uint i;
@@ -2062,7 +2061,7 @@
 
 longlong Item_func_between::val_int()
 {						// ANSI BETWEEN
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   if (compare_as_dates)
   {
     int ge_res, le_res;
@@ -2216,7 +2215,7 @@
     break;
   case ROW_RESULT:
   default:
-    DBUG_ASSERT(0);
+    assert(0);
   }
   cached_field_type= agg_field_type(args, 2);
 }
@@ -2242,7 +2241,7 @@
 double
 Item_func_ifnull::real_op()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   double value= args[0]->val_real();
   if (!args[0]->null_value)
   {
@@ -2258,7 +2257,7 @@
 longlong
 Item_func_ifnull::int_op()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   longlong value=args[0]->val_int();
   if (!args[0]->null_value)
   {
@@ -2274,7 +2273,7 @@
 
 my_decimal *Item_func_ifnull::decimal_op(my_decimal *decimal_value)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   my_decimal *value= args[0]->val_decimal(decimal_value);
   if (!args[0]->null_value)
   {
@@ -2291,7 +2290,7 @@
 String *
 Item_func_ifnull::str_op(String *str)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   String *res  =args[0]->val_str(str);
   if (!args[0]->null_value)
   {
@@ -2336,7 +2335,7 @@
 bool
 Item_func_if::fix_fields(THD *thd, Item **ref)
 {
-  DBUG_ASSERT(fixed == 0);
+  assert(fixed == 0);
   args[0]->top_level_item();
 
   if (Item_func::fix_fields(thd, ref))
@@ -2415,7 +2414,7 @@
 double
 Item_func_if::val_real()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   Item *arg= args[0]->val_bool() ? args[1] : args[2];
   double value= arg->val_real();
   null_value=arg->null_value;
@@ -2425,7 +2424,7 @@
 longlong
 Item_func_if::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   Item *arg= args[0]->val_bool() ? args[1] : args[2];
   longlong value=arg->val_int();
   null_value=arg->null_value;
@@ -2435,7 +2434,7 @@
 String *
 Item_func_if::val_str(String *str)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   Item *arg= args[0]->val_bool() ? args[1] : args[2];
   String *res=arg->val_str(str);
   if (res)
@@ -2448,7 +2447,7 @@
 my_decimal *
 Item_func_if::val_decimal(my_decimal *decimal_value)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   Item *arg= args[0]->val_bool() ? args[1] : args[2];
   my_decimal *value= arg->val_decimal(decimal_value);
   null_value= arg->null_value;
@@ -2487,7 +2486,7 @@
 double
 Item_func_nullif::val_real()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   double value;
   if (!cmp.compare())
   {
@@ -2502,7 +2501,7 @@
 longlong
 Item_func_nullif::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   longlong value;
   if (!cmp.compare())
   {
@@ -2517,7 +2516,7 @@
 String *
 Item_func_nullif::val_str(String *str)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   String *res;
   if (!cmp.compare())
   {
@@ -2533,7 +2532,7 @@
 my_decimal *
 Item_func_nullif::val_decimal(my_decimal * decimal_value)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   my_decimal *res;
   if (!cmp.compare())
   {
@@ -2594,8 +2593,8 @@
     for (uint i=0 ; i < ncases ; i+=2)
     {
       cmp_type= item_cmp_type(left_result_type, args[i]->result_type());
-      DBUG_ASSERT(cmp_type != ROW_RESULT);
-      DBUG_ASSERT(cmp_items[(uint)cmp_type]);
+      assert(cmp_type != ROW_RESULT);
+      assert(cmp_items[(uint)cmp_type]);
       if (!(value_added_map & (1<<(uint)cmp_type)))
       {
         cmp_items[(uint)cmp_type]->store_value(args[first_expr_num]);
@@ -2614,7 +2613,7 @@
 
 String *Item_func_case::val_str(String *str)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   String *res;
   Item *item=find_item(str);
 
@@ -2632,7 +2631,7 @@
 
 longlong Item_func_case::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   char buff[MAX_FIELD_WIDTH];
   String dummy_str(buff,sizeof(buff),default_charset());
   Item *item=find_item(&dummy_str);
@@ -2650,7 +2649,7 @@
 
 double Item_func_case::val_real()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   char buff[MAX_FIELD_WIDTH];
   String dummy_str(buff,sizeof(buff),default_charset());
   Item *item=find_item(&dummy_str);
@@ -2669,7 +2668,7 @@
 
 my_decimal *Item_func_case::val_decimal(my_decimal *decimal_value)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   char buff[MAX_FIELD_WIDTH];
   String dummy_str(buff, sizeof(buff), default_charset());
   Item *item= find_item(&dummy_str);
@@ -2768,7 +2767,7 @@
     {
       if (found_types & (1 << i) && !cmp_items[i])
       {
-        DBUG_ASSERT((Item_result)i != ROW_RESULT);
+        assert((Item_result)i != ROW_RESULT);
         if ((Item_result)i == STRING_RESULT &&
             agg_arg_charsets(cmp_collation, agg, nagg, MY_COLL_CMP_CONV, 1))
           return;
@@ -2851,14 +2850,13 @@
 void Item_func_case::cleanup()
 {
   uint i;
-  DBUG_ENTER("Item_func_case::cleanup");
   Item_func::cleanup();
   for (i= 0; i <= (uint)DECIMAL_RESULT; i++)
   {
     delete cmp_items[i];
     cmp_items[i]= 0;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2868,7 +2866,7 @@
 
 String *Item_func_coalesce::str_op(String *str)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   null_value=0;
   for (uint i=0 ; i < arg_count ; i++)
   {
@@ -2882,7 +2880,7 @@
 
 longlong Item_func_coalesce::int_op()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   null_value=0;
   for (uint i=0 ; i < arg_count ; i++)
   {
@@ -2896,7 +2894,7 @@
 
 double Item_func_coalesce::real_op()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   null_value=0;
   for (uint i=0 ; i < arg_count ; i++)
   {
@@ -2911,7 +2909,7 @@
 
 my_decimal *Item_func_coalesce::decimal_op(my_decimal *decimal_value)
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   null_value= 0;
   for (uint i= 0; i < arg_count; i++)
   {
@@ -2946,7 +2944,7 @@
     break;
   case ROW_RESULT:
   default:
-    DBUG_ASSERT(0);
+    assert(0);
   }
 }
 
@@ -3167,10 +3165,8 @@
 
 void in_row::set(uint pos, Item *item)
 {
-  DBUG_ENTER("in_row::set");
-  DBUG_PRINT("enter", ("pos: %u  item: 0x%lx", pos, (ulong) item));
   ((cmp_item_row*) base)[pos].store_value_by_template(&tmp, item);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 in_longlong::in_longlong(uint elements)
@@ -3275,7 +3271,7 @@
   case DECIMAL_RESULT:
     return new cmp_item_decimal;
   default:
-    DBUG_ASSERT(0);
+    assert(0);
     break;
   }
   return 0; // to satisfy compiler :)
@@ -3305,8 +3301,6 @@
 
 cmp_item_row::~cmp_item_row()
 {
-  DBUG_ENTER("~cmp_item_row");
-  DBUG_PRINT("enter",("this: 0x%lx", (long) this));
   if (comparators)
   {
     for (uint i= 0; i < n; i++)
@@ -3315,7 +3309,7 @@
 	delete comparators[i];
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3328,7 +3322,6 @@
 
 void cmp_item_row::store_value(Item *item)
 {
-  DBUG_ENTER("cmp_item_row::store_value");
   n= item->cols();
   alloc_comparators();
   if (comparators)
@@ -3346,7 +3339,7 @@
       item->null_value|= item->element_index(i)->null_value;
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3722,7 +3715,7 @@
         array= new in_decimal(arg_count - 1);
         break;
       default:
-        DBUG_ASSERT(0);
+        assert(0);
         return;
       }
     }
@@ -3807,7 +3800,7 @@
 longlong Item_func_in::val_int()
 {
   cmp_item *in_item;
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   uint value_added_map= 0;
   if (array)
   {
@@ -3820,7 +3813,7 @@
   {
     Item_result cmp_type= item_cmp_type(left_result_type, args[i]->result_type());
     in_item= cmp_items[(uint)cmp_type];
-    DBUG_ASSERT(in_item);
+    assert(in_item);
     if (!(value_added_map & (1 << (uint)cmp_type)))
     {
       in_item->store_value(args[0]);
@@ -3841,7 +3834,7 @@
 
 longlong Item_func_bit_or::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   ulonglong arg1= (ulonglong) args[0]->val_int();
   if (args[0]->null_value)
   {
@@ -3861,7 +3854,7 @@
 
 longlong Item_func_bit_and::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   ulonglong arg1= (ulonglong) args[0]->val_int();
   if (args[0]->null_value)
   {
@@ -3900,7 +3893,7 @@
 bool
 Item_cond::fix_fields(THD *thd, Item **ref __attribute__((__unused__)))
 {
-  DBUG_ASSERT(fixed == 0);
+  assert(fixed == 0);
   List_iterator<Item> li(list);
   Item *item;
   void *orig_thd_marker= thd->thd_marker;
@@ -4236,7 +4229,7 @@
 
 longlong Item_cond_and::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   List_iterator_fast<Item> li(list);
   Item *item;
   null_value= 0;
@@ -4254,7 +4247,7 @@
 
 longlong Item_cond_or::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   List_iterator_fast<Item> li(list);
   Item *item;
   null_value=0;
@@ -4315,7 +4308,7 @@
 
 longlong Item_func_isnull::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   /*
     Handle optimization if the argument can't be null
     This has to be here because of the test in update_used_tables().
@@ -4327,22 +4320,19 @@
 
 longlong Item_is_not_null_test::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
-  DBUG_ENTER("Item_is_not_null_test::val_int");
+  assert(fixed == 1);
   if (!used_tables_cache && !with_subselect)
   {
     owner->was_null|= (!cached_value);
-    DBUG_PRINT("info", ("cached: %ld", (long) cached_value));
-    DBUG_RETURN(cached_value);
+    return(cached_value);
   }
   if (args[0]->is_null())
   {
-    DBUG_PRINT("info", ("null"));
     owner->was_null|= 1;
-    DBUG_RETURN(0);
+    return(0);
   }
   else
-    DBUG_RETURN(1);
+    return(1);
 }
 
 /**
@@ -4369,7 +4359,7 @@
 
 longlong Item_func_isnotnull::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   return args[0]->is_null() ? 0 : 1;
 }
 
@@ -4384,7 +4374,7 @@
 
 longlong Item_func_like::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   String* res = args[0]->val_str(&tmp_value1);
   if (args[0]->null_value)
   {
@@ -4432,7 +4422,7 @@
 
 bool Item_func_like::fix_fields(THD *thd, Item **ref)
 {
-  DBUG_ASSERT(fixed == 0);
+  assert(fixed == 0);
   if (Item_bool_func2::fix_fields(thd, ref) ||
       escape_item->fix_fields(thd, &escape_item))
     return true;
@@ -4525,7 +4515,6 @@
       {
         pattern     = first + 1;
         pattern_len = (int) len - 2;
-        DBUG_PRINT("info", ("Initializing pattern: '%s'", first));
         int *suff = (int*) thd->alloc((int) (sizeof(int)*
                                       ((pattern_len + 1)*2+
                                       alphabet_size)));
@@ -4533,7 +4522,6 @@
         bmBc      = bmGs + pattern_len + 1;
         turboBM_compute_good_suffix_shifts(suff);
         turboBM_compute_bad_character_shifts();
-        DBUG_PRINT("info",("done"));
       }
     }
   }
@@ -4784,7 +4772,7 @@
 
 longlong Item_cond_xor::val_int()
 {
-  DBUG_ASSERT(fixed == 1);
+  assert(fixed == 1);
   List_iterator<Item> li(list);
   Item *item;
   int result=0;	
@@ -4940,7 +4928,7 @@
 */
 Item *Item_bool_rowready_func2::negated_item()
 {
-  DBUG_ASSERT(0);
+  assert(0);
   return 0;
 }
 

=== modified file 'server/item_cmpfunc.h'
--- server/item_cmpfunc.h	2008-07-09 21:52:27 +0000
+++ server/item_cmpfunc.h	2008-07-10 22:05:55 +0000
@@ -232,7 +232,7 @@
   Item_in_optimizer(Item *a, Item_in_subselect *b):
     Item_bool_func(a, my_reinterpret_cast(Item *)(b)), cache(0),
     save_cache(0), result_for_null_param(UNKNOWN)
-  { with_subselect= TRUE; }
+  { with_subselect= true; }
   bool fix_fields(THD *, Item **);
   bool fix_left(THD *thd, Item **ref);
   bool is_null();
@@ -330,7 +330,7 @@
 
 public:
   Item_bool_func2(Item *a,Item *b)
-    :Item_int_func(a,b), cmp(tmp_arg, tmp_arg+1), abort_on_null(FALSE) {}
+    :Item_int_func(a,b), cmp(tmp_arg, tmp_arg+1), abort_on_null(false) {}
   void fix_length_and_dec();
   void set_cmp_func()
   {
@@ -349,7 +349,7 @@
   bool is_bool_func() { return 1; }
   CHARSET_INFO *compare_collation() { return cmp.cmp_collation.collation; }
   uint decimal_precision() const { return 1; }
-  void top_level_item() { abort_on_null= TRUE; }
+  void top_level_item() { abort_on_null= true; }
 
   friend class  Arg_comparator;
 };
@@ -364,7 +364,7 @@
   Item *neg_transformer(THD *thd);
   virtual Item *negated_item();
   bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
-  { return TRUE; }
+  { return true; }
 };
 
 class Item_func_not :public Item_bool_func
@@ -417,7 +417,7 @@
   longlong val_int() { return *trig_var ? args[0]->val_int() : 1; }
   enum Functype functype() const { return TRIG_COND_FUNC; };
   const char *func_name() const { return "trigcond"; };
-  bool const_item() const { return FALSE; }
+  bool const_item() const { return false; }
   bool *get_trig_var() { return trig_var; }
   /* The following is needed for ICP: */
   table_map used_tables() const { return args[0]->used_tables(); }
@@ -582,7 +582,7 @@
   }
   bool eq(const Item *item, bool binary_cmp) const;
   bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
-  { return TRUE; }
+  { return true; }
 };
 
 
@@ -597,7 +597,7 @@
   /* Comparators used for DATE/DATETIME comparison. */
   Arg_comparator ge_cmp, le_cmp;
   Item_func_between(Item *a, Item *b, Item *c)
-    :Item_func_opt_neg(a, b, c), compare_as_dates(FALSE) {}
+    :Item_func_opt_neg(a, b, c), compare_as_dates(false) {}
   longlong val_int();
   optimize_type select_optimize() const { return OPTIMIZE_KEY; }
   enum Functype functype() const   { return BETWEEN; }
@@ -906,7 +906,7 @@
   uchar *get_value(Item *item);
   Item *create_item()
   { 
-    return new Item_decimal(0, FALSE);
+    return new Item_decimal(0, false);
   }
   void value_to_item(uint pos, Item *item)
   {
@@ -1204,7 +1204,7 @@
 
   Item_func_in(List<Item> &list)
     :Item_func_opt_neg(list), array(0), have_null(0),
-    arg_types_compatible(FALSE)
+    arg_types_compatible(false)
   {
     bzero(&cmp_items, sizeof(cmp_items));
     allowed_arg_cols= 0;  // Fetch this value from first argument
@@ -1381,7 +1381,7 @@
   int escape;
 
   Item_func_like(Item *a,Item *b, Item *escape_arg, bool escape_used)
-    :Item_bool_func2(a,b), canDoTurboBM(FALSE), pattern(0), pattern_len(0), 
+    :Item_bool_func2(a,b), canDoTurboBM(false), pattern(0), pattern_len(0), 
      bmGs(0), bmBc(0), escape_item(escape_arg),
      escape_used_in_parsing(escape_used) {}
   longlong val_int();
@@ -1438,7 +1438,7 @@
   void neg_arguments(THD *thd);
   enum_field_types field_type() const { return MYSQL_TYPE_LONGLONG; }
   bool subst_argument_checker(uchar **arg __attribute__((__unused__)))
-  { return TRUE; }
+  { return true; }
   Item *compile(Item_analyzer analyzer, uchar **arg_p,
                 Item_transformer transformer, uchar *arg_t);
 };
@@ -1616,7 +1616,7 @@
 inline bool is_cond_and(Item *item)
 {
   if (item->type() != Item::COND_ITEM)
-    return FALSE;
+    return false;
 
   Item_cond *cond_item= (Item_cond*) item;
   return (cond_item->functype() == Item_func::COND_AND_FUNC);
@@ -1646,7 +1646,7 @@
 inline bool is_cond_or(Item *item)
 {
   if (item->type() != Item::COND_ITEM)
-    return FALSE;
+    return false;
 
   Item_cond *cond_item= (Item_cond*) item;
   return (cond_item->functype() == Item_func::COND_OR_FUNC);

=== modified file 'server/mysql_priv.h'
--- server/mysql_priv.h	2008-07-10 21:28:59 +0000
+++ server/mysql_priv.h	2008-07-10 22:05:55 +0000
@@ -872,7 +872,7 @@
   Then one can later test for it by using ERROR_INJECT_CRASH_VALUE,
   ERROR_INJECT_ACTION_VALUE and ERROR_INJECT_VALUE. This have the same
   behaviour as the above described macros except that they use the
-  error inject value instead of a code used by DBUG macros.
+  error inject value instead of a code used by debug macros.
 */
 #define SET_ERROR_INJECT_VALUE(x) \
   current_thd->error_inject_value= (x)

